List all Releases
Returns a list of your Releases for the given external connection. These are automatically created when you change the connection_id of a phone number that is currently on Microsoft Teams.
GET
/
external_connections
/
{id}
/
releases
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const releaseListResponse of client.externalConnections.releases.list(
'1293384261075731499',
)) {
console.log(releaseListResponse.tenant_id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.external_connections.releases.list(
id="1293384261075731499",
)
page = page.data[0]
print(page.tenant_id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.ExternalConnections.Releases.List(
context.TODO(),
"1293384261075731499",
telnyx.ExternalConnectionReleaseListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.releases.ReleaseListPage;
import com.telnyx.sdk.models.externalconnections.releases.ReleaseListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReleaseListPage page = client.externalConnections().releases().list("1293384261075731499");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.external_connections.releases.list("1293384261075731499")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->externalConnections->releases->list(
'1293384261075731499',
filter: [
'civicAddressID' => ['eq' => '19990261512338516954'],
'locationID' => ['eq' => '19995665508264022121'],
'phoneNumber' => ['contains' => '+123', 'eq' => '+1234567890'],
'status' => ['eq' => ['pending', 'in_progress']],
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-connections:releases list \
--api-key 'My API Key' \
--id 1293384261075731499curl --request GET \
--url https://api.telnyx.com/v2/external_connections/{id}/releases \
--header 'Authorization: Bearer <token>'{
"data": [
{
"ticket_id": "542c3bca-d247-42bc-8fe7-e01d16ecd761",
"tenant_id": "ea175aba-f47c-4702-9400-efaa42688048",
"status": "pending",
"error_message": "<string>",
"telephone_numbers": [
{
"phone_number": "<string>",
"number_id": "<string>"
}
],
"created_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the resource.
Example:
"1293384261075731499"
Query Parameters
Filter parameter for releases (deepObject style). Supports filtering by status, civic_address_id, location_id, and phone_number with eq/contains operations.
Show child attributes
Show child attributes
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const releaseListResponse of client.externalConnections.releases.list(
'1293384261075731499',
)) {
console.log(releaseListResponse.tenant_id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.external_connections.releases.list(
id="1293384261075731499",
)
page = page.data[0]
print(page.tenant_id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.ExternalConnections.Releases.List(
context.TODO(),
"1293384261075731499",
telnyx.ExternalConnectionReleaseListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.externalconnections.releases.ReleaseListPage;
import com.telnyx.sdk.models.externalconnections.releases.ReleaseListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReleaseListPage page = client.externalConnections().releases().list("1293384261075731499");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.external_connections.releases.list("1293384261075731499")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->externalConnections->releases->list(
'1293384261075731499',
filter: [
'civicAddressID' => ['eq' => '19990261512338516954'],
'locationID' => ['eq' => '19995665508264022121'],
'phoneNumber' => ['contains' => '+123', 'eq' => '+1234567890'],
'status' => ['eq' => ['pending', 'in_progress']],
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx external-connections:releases list \
--api-key 'My API Key' \
--id 1293384261075731499curl --request GET \
--url https://api.telnyx.com/v2/external_connections/{id}/releases \
--header 'Authorization: Bearer <token>'{
"data": [
{
"ticket_id": "542c3bca-d247-42bc-8fe7-e01d16ecd761",
"tenant_id": "ea175aba-f47c-4702-9400-efaa42688048",
"status": "pending",
"error_message": "<string>",
"telephone_numbers": [
{
"phone_number": "<string>",
"number_id": "<string>"
}
],
"created_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}